Show old topic on topic change
Description

When the topic is changed it would be nice to show something like "Topic was changed by $foo from $bar to §foobar" instead of just

"Topic was changed by $foo to §foobar". Most of the time | have no idea what people changed in the topic otherwise.

History

#1 - 01/07/2009 12:55 AM - xAFFE

A nice 'advanced' option would be, to display the change as a diff.

#2 - 01/07/2009 12:59 AM - sph

Sounds more like a feature for a script. I've got one such a topic diff script around somewhere, I'll tweak it for quassel when the plugin APl is ready.

#3 - 01/20/2009 11:53 PM - hades

- File 0001-Topic-changes-are-now-displayed-in-two-lines-old-an.patch added

Modified version available at http:/github.com/hades/quassel/tree/oldtopic

Patch attached.

#4 - 01/20/2009 11:53 PM - hades

- File 0001-Topic-changes-are-now-displayed-in-two-lines-old-an.patch added

Modified version available at http://github.com/hades/quassel/tree/oldtopic

Patch attached.
Files
0001-Topic-changes-are-now-displayed-in-two-lines-old-an.patch 1.11 KB 01/20/2009 hades
0001-Topic-changes-are-now-displayed-in-two-lines-old-an.patch 1.11 KB 01/20/2009 hades
